fse.vo

## Class Consenso

- java.lang.Object
- - fse.vo.Consenso

-     public class Consenso
      extends Object

  Container delle informazioni su un singolo consenso
  Author:
    nitti

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private String` | `date`
    `private String` | `id`
    `private String` | `name`
    `private String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Consenso()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDate()` Ritorna la data in cui è stato impostato il consenso
    `String` | `getId()` Ritorna l'ID del consenso {C1|C2|C3}
    `String` | `getName()` Ritorna il nome del consenso (Alimentazione, Consultazione o Pregresso)
    `String` | `getValue()` Ritorna lo stato attuale del consenso (true, false o none)
    `void` | `setDate(String date)` Imposta la data in cui è stato impostato il consenso
    `void` | `setId(String id)` Imposta l'ID del consenso {C1|C2|C3}
    `void` | `setName(String name)` Imposta il nome del consenso (Alimentazione, Consultazione o Pregresso)
    `void` | `setValue(String value)` Imposta lo stato attuale del consenso (true, false o none)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          private String name

    - #### id

          private String id

    - #### value

          private String value

    - #### date

          private String date

  - ### Constructor Detail

    - #### Consenso

          public Consenso()

  - ### Method Detail

    - #### getId

          public String getId()

      Ritorna l'ID del consenso {C1|C2|C3}
      Returns:
        C1,C2, C3 per alimentazione, consultazione, pregresso

    - #### setId

          public void setId(String id)

      Imposta l'ID del consenso {C1|C2|C3}
      Parameters:
        `C1,C2,` - C3 per alimentazione, consultazione, pregresso

    - #### getName

          public String getName()

      Ritorna il nome del consenso (Alimentazione, Consultazione o Pregresso)

    - #### setName

          public void setName(String name)

      Imposta il nome del consenso (Alimentazione, Consultazione o Pregresso)

    - #### getValue

          public String getValue()

      Ritorna lo stato attuale del consenso (true, false o none)

    - #### setValue

          public void setValue(String value)

      Imposta lo stato attuale del consenso (true, false o none)

    - #### getDate

          public String getDate()

      Ritorna la data in cui è stato impostato il consenso

    - #### setDate

          public void setDate(String date)

      Imposta la data in cui è stato impostato il consenso